petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscDualSpaceApplyFVM

Apply a functional from the dual space basis to an input function

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceApplyFVM(PetscDualSpace sp, PetscInt f, PetscReal time, PetscFVCellGeom *geom, PetscInt numComp, PetscErrorCode (*func)(PetscInt, PetscReal, const PetscReal [], PetscInt, PetscScalar *, void *), void *ctx, PetscScalar *value)

### Input Parameters

| sp | - The PetscDualSpace object
| f | - The basis functional index
| time | - The time
| geom | - A context with geometric information for this cell, we currently just use the centroid
| numComp | - The number of components for the function
| func | - The input function
| ctx | - A context for the function

### Output Parameter

value -numComp output values

### Note: The calling sequence for the callback func is given by

    func(PetscInt dim, PetscReal time, const PetscReal x[],

         PetscInt numComponents, PetscScalar values[], void *ctx)

### See Also

PetscDualSpaceCreate()

Level:developer
Location:src/dm/dt/interface/dtfe.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages